// Initilize the system.
waitUntil {!isnil {player getVariable "mainScope"}};
SOM_mainScope = player getVariable "mainScope";

// Put this in the init field of your SOM module to prevent any random things from happening, only what we declare above will be available.
// this setVariable ["settings", [[], true, nil, nil, false]];

// Grant the player access to Transport.
[["transport"], player] call BIS_SOM_addSupportRequestFunc;

// Set Variables for the SOM module, named SOM in this case.
SOM setVariable ["TSS_vehicle_custom", t1];  // t1 is the preplaced unit that will be used for transport.  Comment this line out to use default Huey.
SOM setVariable ["TSS_allowed", ["pickup", "unload"]];  // Commands allowed by the transport vehicle.
SOM setVariable ["TSS_plannedLZ", [0,0,0]];  // Defaut landing zone, will be set via map click after pickup.

// Transport vehicle settings.
t1 setVariable ["supPool", [p1], TRUE]; // p1 is the unit that can use this.
t1 setVariable ["supPhase", 0, TRUE];  // Default variable for what phase of transport it's on.
t1 setVariable ["onMission", objNull, TRUE];  // Default variable for it it's busy or not.
t1 setVariable ["stuck", FALSE, TRUE]; // Default variable for if it's stuck or not